Package uk.ac.starlink.topcat

## Class RowSubset

- java.lang.Object
- - uk.ac.starlink.topcat.RowSubset

- Direct Known Subclasses:
    `BitsRowSubset`, `BooleanColumnRowSubset`, `InverseRowSubset`, `SyntheticRowSubset`

      public abstract class RowSubset
      extends java.lang.Object

  Defines a selection of rows in a table model.
  Author:
    Mark Taylor (Starlink)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static RowSubset` | `ALL` | A subset containing all rows (`isIncluded` always true).
    `static RowSubset` | `NONE` | A subset containing no rows (`isIncluded` always false).

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RowSubset​(java.lang.String name)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns the name of this subset.
    `abstract boolean` | `isIncluded​(long lrow)` | Indicates whether a given row is in the subset or not.
    `void` | `setName​(java.lang.String name)` | Sets the name of this subset.
    `java.lang.String` | `toString()` | Returns this subset's name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALL

          public static RowSubset ALL

      A subset containing all rows (`isIncluded` always true).

    - #### NONE

          public static RowSubset NONE

      A subset containing no rows (`isIncluded` always false).

  - ### Constructor Detail

    - #### RowSubset

          public RowSubset​(java.lang.String name)

      Constructor.
      Parameters:
        `name` - subset name

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the name of this subset.
      Returns:
        name

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of this subset.
      Parameters:
        `name` - new name

    - #### isIncluded

          public abstract boolean isIncluded​(long lrow)

      Indicates whether a given row is in the subset or not.
      Parameters:
        `lrow` - the index of the row in question
      Returns:
        `true` iff row `lrow` is to be included

    - #### toString

          public java.lang.String toString()

      Returns this subset's name.
      Overrides:
        `toString` in class `java.lang.Object`